// pages/setting/index.js
const app = getApp();
import { customRequest } from '../../utils/request.js';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    version: app.globalData.version,
    userInfo: {},
    drawerShow: false,
    teamList: [],
  },
  previewImage(e) {
    const url = e.currentTarget.dataset.url;
    wx.previewImage({
      current: url, // 当前显示图片的链接
      urls: [url], // 需要预览的图片链接列表
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad (options) { },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady () { },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow () {
    this.setData({
      userInfo: wx.getStorageSync('loginUser'),
    });
    this.getTeamList()
  },
  showToggle () {
    this.setData({
      drawerShow: true
    })
  },
  toogleTeam (e) {
    console.log(e);
    let that = this
    let item = e.currentTarget.dataset.item;
    console.log(item);
    if (wx.getStorageSync("LOGINUSER_ID") == item.id) {
      return false
    }
    wx.showLoading({
      title: '切换中...',
    });
    customRequest(`/yishoudan/agency/group/user/changeGroup/${item.id}`, { header: 'headers', method: 'GET', data: {} }).then((res) => {
      console.log(res);
      if (res.data.status == 200) {
        that.checkToken(item)
        app.getConfigInfo()
        app.getServiceInfo()
        wx.hideLoading();
        wx.showToast({
          title: '切换成功',
          icon: 'success',
          duration: 2000
        })
      } else {
        that.getTeamList()
      }
    })
  },
  getTeamList () {
    let that = this
    customRequest("/yishoudan/agency/group/user/listByUser", { header: 'headers', method: 'GET', data: {} }).then((res) => {
      console.log(res);
      res.data.data.forEach(item => {
        if (item.id == app.globalData.loginUserInfo.user.agencyId) {
          item.checked = true;
        }
      });
      console.log('res.data.data', res.data.data);
      that.setData({
        teamList: res.data.data
      })
    })
  },
  checkToken (_item) {
    let that = this
    wx.setStorageSync("LOGINUSER_ID", _item.id);
    customRequest('/appLoginByToken', { header: 'headers', method: 'GET', data: {} }).then((res) => {
      console.log(res);
      app.globalData.agencyStatus = res.data.data.agencyStatus;
      app.globalData.loginUserInfo = res.data.data;
      wx.setStorageSync("loginUser", res.data.data);
      wx.setStorageSync("LOGINUSER_ID", res.data.data.user.agencyId);
      this.setData({
        drawerShow: false
      })
      that.onLoad()
      that.onShow()
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide () { },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload () { },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh () { },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom () { },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage1 () { },
  loginOut: function () {
    wx.showModal({
      title: "退出登录",
      content: "确定要退出登录吗?",
      confirmColor: "#1890ff",
      success (res) {
        if (res.confirm) {
          console.log("用户点击确定");
          app.logout().then(() => {
            wx.reLaunch({
              url: "/pages/login/index",
            });
            app.getServiceInfo().then(() => {
              wx.setStorageSync("ServiceInfo", app.globalData.serviceInfo);
            });
          });

          // wx.navigateBack({
          //   delta: 1
          // })
        } else if (res.cancel) {
          console.log("用户点击取消");
        }
      },
    });
  },
  logOff: function () {
    var that = this;
    wx.showModal({
      title: "注销账号",
      content: "确定要注销账号吗?该操作不可逆！",
      confirmColor: "#1890ff",
      success (res) {
        if (res.confirm) {
          customRequest("/yishoudan/updatePasswordByPwd", {
            header: 'headers', method: 'post', data: {
              tel: app.globalData.user.tel,
              oldPassword: 'qqqq1111',
              password: '1111qqqq',
            }
          }).then(({ data }) => {
            if (data.status == 200) {
              app.showTips(that, "修改成功");
              setTimeout(() => {
                wx.reLaunch({
                  url: "/pages/login/index?type=psw",
                  success: (result) => { },
                });
              }, 2000);
            } else {
              app.showTips(that, data.msg);
            }
          })
          // wx.navigateBack({
          //   delta: 1
          // })
        } else if (res.cancel) {
          console.log("用户点击取消");
        }
      },
    });
  },
});
